#include <game.h>
#include <startmenu.h>
#include <iostream>
#include <unistd.h>

//! /todo Choose the language by system config

int main(int argc,char *argv[])
{
	char *str = new char[999];
	stringc path = stringc(getcwd(str,999)) + "/";
	
	stringc lang = "en";
	if (argc>1)
		path = stringc(argv[1]);
	if (argc>2)
		lang = stringc(argv[2]);
	
	startmenu *sm = new startmenu;
	if (sm->init(path,lang))
		goto end;
	while(sm->update());
end:
	delete sm;
	std::cout << "All ended\n";
	return 1;
}
